manifestVersion: 1
id: chatbot-ui
category: ai
name: ChatBot UI
version: "2023.04.20"
tagline: ЧатGPT, но лучше
description: >-
  ChatBot интерфейс — это усовершенствованный комплект чат-бота для моделей чата OpenAI, призванный имитировать интерфейс и функциональность ChatGPT.
  
  
  Просто добавьте свой ключ OpenAI API и начните общаться!
  
  
  Эта версия ChatBot интерфейс поддерживает модели GPT-3.5 и GPT-4. Разговоры сохраняются локально в вашем браузере.
  Вы можете экспортировать и импортировать разговоры, чтобы защититься от потери данных.
developer: Mckay Wrigley
website: https://github.com/mckaywrigley/chatbot-ui
dependencies: []
repo: https://github.com/mckaywrigley/chatbot-ui
support: https://github.com/mckaywrigley/chatbot-ui/issues
port: 10101
gallery:
  - 1.jpg
  - 2.jpg
  - 3.jpg
path: ""
defaultUsername: ""
defaultPassword: ""
releaseNotes: >-
  Новые возможности:
  
  
  Добавлена ​​поддержка Azure OpenAI, причем температура теперь доступна в качестве параметра. Окно чата было улучшено: появилась прикрепленная строка имени модели вверху, улучшенный макет для мобильных устройств, а также мигающий курсор для ввода.
  
  
  Улучшения:
  
  
  Был проведен крупный рефакторинг для улучшения удобства сопровождения кода, а также улучшенная поддержка горячих клавиш для плагинов. README теперь лучше документирует различные настройки. Были внесены улучшения в существующие переводы и добавлены новые, охватывающие румынский, польский, каталонский, бангла, турецкий и финский языки. Приложение теперь сортирует папки в алфавитном порядке и содержит обновленное демонстрационное изображение, а также улучшенную производительность.
  
  
  Исправления ошибок:
  
  
  Исправлено несколько проблем с плагинами Google, а также проблемы, связанные со скрытием кнопок API Key и Plugin Key, если они установлены на стороне сервера. Другие исправления включают адрес кнопки копирования в блоке кода, модальную прокрутку на небольших устройствах, исчезновение поля поиска в компоненте боковой панели, ввод сообщения не обновляется при переключении списка чата и сайт не открывается, если импортированный JSON недействителен. Были решены проблемы, связанные с исчезновением сообщений чата при редактировании, изменением цвета шрифта, перекрытием ввода в чате кнопкой прокрутки вниз, выбором подсказки и импортом.
  
  
  Другие:
  
  
  Во всем приложении были внесены улучшения в орфографию, краткость и формулировку, а также был создан файл Security.md для отчетности об уязвимостях.
  
  
  Эта версия актуальна на момент фиксации fa3f6e9 здесь: github.com/mckaywrigley/chatbot-ui/commit/fa3f6e9
submitter: DFWebOS
submission: https://github.com/getumbrel/dfwebos-apps/pull/472